{% extends 'index.html' %}

{% block content %}
    <div class="row" style="margin-top: 20px">
        <div class="col-lg-3"></div>
        <div class="col-lg-6">
            <form method="post" enctype="multipart/form-data">
                {% csrf_token %}
                <div class="form-group">
                    <label>Contact file input</label>
                    <input type="file" class="form-control-file" name="file">
                </div>
                <button type="submit" class="btn btn-success btn-lg">Import</button>
            </form>

            {% if contacts %}
                <table class="table" style="margin-top: 20px">
                    <thead>
                    <tr>
                        <th scope="col">#</th>
                        <th scope="col">Name</th>
                        <th scope="col">Phone Number</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for contact in contacts %}
                        <tr>
                            <th scope="row">{{ forloop.counter }}</th>
                            <td>{{ contact.name }}</td>
                            <td>{{ contact.number }}</td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>

                <div class="alert alert-secondary" role="alert">
                    {{ imported }} contacts were imported
                </div>
            {% endif %}

        </div>
        <div class="col-lg-3"></div>
    </div>
{% endblock %}